%define		kdeappsver	21.08.1
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		akonadi-search
Summary:	Akonadi Search
Name:		ka5-%{kaname}
Version:	21.08.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	7f3ebfb44b81b90d9798d3265115dc8a
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= 5.9.0
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-akonadi-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-mime-devel >= %{kdeappsver}
BuildRequires:	ka5-kmime-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcalendarcore-devel >= %{kframever}
BuildRequires:	kf5-kcmutils-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcontacts-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-krunner-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xapian-core-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries and daemons to implement searching in Akonadi.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadi_indexing_agent
%ghost %{_libdir}/libKF5AkonadiSearchCore.so.5
%attr(755,root,root) %{_libdir}/libKF5AkonadiSearchCore.so.*.*.*
%ghost %{_libdir}/libKF5AkonadiSearchDebug.so.5
%attr(755,root,root) %{_libdir}/libKF5AkonadiSearchDebug.so.*.*.*
%ghost %{_libdir}/libKF5AkonadiSearchPIM.so.5
%attr(755,root,root) %{_libdir}/libKF5AkonadiSearchPIM.so.*.*.*
%ghost %{_libdir}/libKF5AkonadiSearchXapian.so.5
%attr(755,root,root) %{_libdir}/libKF5AkonadiSearchXapian.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi/akonadi_search_plugin.so
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi/calendarsearchstore.so
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi/contactsearchstore.so
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi/emailsearchstore.so
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi/notesearchstore.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_krunner_pimcontacts.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_pimcontacts.so
%{_datadir}/akonadi/agents/akonadiindexingagent.desktop
%{_datadir}/kservices5/plasma-krunner-pimcontacts_config.desktop
%{_datadir}/qlogging-categories5/akonadi-search.categories
%{_datadir}/qlogging-categories5/akonadi-search.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/AkonadiSearch
%{_includedir}/KF5/akonadi_search_version.h
%{_libdir}/cmake/KF5AkonadiSearch
%{_libdir}/libKF5AkonadiSearchCore.so
%{_libdir}/libKF5AkonadiSearchDebug.so
%{_libdir}/libKF5AkonadiSearchPIM.so
%{_libdir}/libKF5AkonadiSearchXapian.so
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-akonadi-search.git;a=log;h=master

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5b759fa
- updated to 21.08.1

* Sun Aug 29 2021 Jan Rękorajski <baggins@pld-linux.org> d3f074b
- Release 2 (by relup.sh)

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 27d45d4
- updated to 21.08.0

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4d049e2
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 52d09bd
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c1afa27
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4db4d43
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a03329d
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 1067d26
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 4acb9d6
- updated to 18.12.1

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 25250f4
- updated to 18.12.0

